commit 461b0e066f8b7a38f8e69f118e8c020e20b09a13
parent 9f5a92078a3f388b52d597b5a59af5c933a112d2
Author: Bjørn Erik Pedersen <bjorn.erik.pedersen@gmail.com>
Date: Wed, 24 Jul 2019 09:36:50 +0200
Merge commit '5cb4e46cfa65bddae8ac5344540e3dd1e4c266b2'
Diffstat:
1 file changed, 9 insertions(+), 8 deletions(-)
diff --git a/docs/content/en/hosting-and-deployment/hosting-on-github.md b/docs/content/en/hosting-and-deployment/hosting-on-github.md
@@ -67,30 +67,31 @@ You're almost done. In order to automate next steps create a `deploy.sh` script.
The following are the contents of the `deploy.sh` script:
```
-#!/bin/bash
+#!/bin/sh
+
+# If a command fails then the deploy stops
+set -e
-echo -e "\033[0;32mDeploying updates to GitHub...\033[0m"
+printf "\033[0;32mDeploying updates to GitHub...\033[0m\n"
# Build the project.
hugo # if using a theme, replace with `hugo -t <YOURTHEME>`
# Go To Public folder
cd public
+
# Add changes to git.
git add .
# Commit changes.
-msg="rebuilding site `date`"
-if [ $# -eq 1 ]
- then msg="$1"
+msg="rebuilding site $(date)"
+if [ -n "$*" ]; then
+ msg="$*"
fi
git commit -m "$msg"
# Push source and build repos.
git push origin master
-
-# Come Back up to the Project Root
-cd ..
```